--- title: "Test training result" slug: "ai-application-service-aitems-service-infertest" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-service-infertest" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Test training result Available in Classic and VPC After training a dataset, test it to verify the training results. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /services/{serviceId}/infers/lookup | ### Request headers For headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/aiservices-aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Service ID - See [Get service list](/docs/en/aiservices-aitems-service-list). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | Required | Post-training recommendation type - `personalRecommend` \| `relatedItem` \| `pop` - `personalRecommend`: personalized recommendations based on customer service users' past history - `relatedItem`: personalized recommendations based on an item's association history - `pop`: top item recommendations by rank | | `targetId` | String | Required | ID of the object to be investigated in the training result - Personalized recommendation: Enter USER_ID - Related item recommendation: Enter ITEM_ID | ### Request example The following is a sample request. ``` curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/services/xv94v******/infers/lookup?type=personalRecommend&targetId=*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `field` | String | - | Result field name | | `values` | Array | - | Result value list | ### Response status codes For response status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aiservices-aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "field": "ITEM_ID", "values": [ "abc123", "abc111" ] } ```